ChangeSet 1.893.2.9, 2002/12/23 11:55:53-08:00, rddunlap@osdl.org

[PATCH] usb semaphore lock in 2.4.20-rc1 (since 2.4.13)

This fixes an oops if cpia is built into the kernel along with USB.
cpia (in drivers/media/) inits before USB and causes use of an
uninitialized semaphore in USB.

Patch is from Duncan Haldane.

Alan OK-ed this patch.


diff -Nru a/Makefile b/Makefile
--- a/Makefile	Mon Jan  6 11:31:24 2003
+++ b/Makefile	Mon Jan  6 11:31:24 2003
@@ -137,8 +137,7 @@
 DRIVERS-y += drivers/char/char.o \
 	drivers/block/block.o \
 	drivers/misc/misc.o \
-	drivers/net/net.o \
-	drivers/media/media.o
+	drivers/net/net.o
 DRIVERS-$(CONFIG_AGP) += drivers/char/agp/agp.o
 DRIVERS-$(CONFIG_DRM_NEW) += drivers/char/drm/drm.o
 DRIVERS-$(CONFIG_DRM_OLD) += drivers/char/drm-4.0/drm.o
@@ -179,6 +178,7 @@
 DRIVERS-$(CONFIG_HAMRADIO) += drivers/net/hamradio/hamradio.o
 DRIVERS-$(CONFIG_TC) += drivers/tc/tc.a
 DRIVERS-$(CONFIG_USB) += drivers/usb/usbdrv.o
+DRIVERS-y +=drivers/media/media.o
 DRIVERS-$(CONFIG_INPUT) += drivers/input/inputdrv.o
 DRIVERS-$(CONFIG_HIL) += drivers/hil/hil.o
 DRIVERS-$(CONFIG_I2O) += drivers/message/i2o/i2o.o
